"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startListeners = void 0;
const inputErrorHandler_1 = require("../../common/errors/inputErrorHandler");
function startListeners(clientEvents, controller, homeAssistant, node, status) {
    const queueUpcomingCalendarEvents = async () => {
        await controller.queueUpcomingCalendarEvents().catch((e) => {
            const { error, statusMessage } = (0, inputErrorHandler_1.getErrorData)(e);
            status.setError(statusMessage);
            node.error(error);
        });
    };
    if (homeAssistant.isHomeAssistantRunning) {
        queueUpcomingCalendarEvents();
    }
    else {
        clientEvents.addListener('ha_client:initial_connection_ready', queueUpcomingCalendarEvents);
    }
}
exports.startListeners = startListeners;
